Category: Issues Estimated time: 0.00 hour

Target version: 4.1.0   

Resolution: Fixed   

Description

This patch adds "Due in X days" / "X days late" next to the due date. It is shown only when the issue is open.

It allows you to easily and clearly understand that the due date is approaching.

 

Related issues:

Related to Redmine - Feature #6421: Show relative dates next to Start/Due dat... New 2010-09-17

Related to Redmine - Feature #33884: Show "Due in X days" in email notifications New

Associated revisions

Revision 18236 - 2019-06-07 11:40 - Go MAEDA

Show "Due in X days" in issue details page (#31499).

Patch by Go MAEDA.

Revision 18238 - 2019-06-09 05:43 - Go MAEDA

Fix that test_issue_due_date_details fails depending on time zone (#31499).

Patch by Go MAEDA.

History

#1 - 2019-06-03 16:02 - Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

Setting the target version to 4.1.0.

#2 - 2019-06-03 22:46 - Marius BĂLTEANU

Interesting feature.
I'm wondering if it's better to add this info as tooltip in order to keep the issue view as clean as possible and also to make the info available

everywhere where due date is rendered (issues list, related issues).

#3 - 2019-06-04 04:32 - Go MAEDA

Adding as a tooltip in issues list and related issues is a nice improvement.

But I think the information should be shown by default for issue detail page. Since the information is really useful to manage tasks, I want to know it at

a glance, without any additional action. Hovering the mouse cursor on the date takes about one second. It is stressful for me.

I think tooltip is not so accessible. In fact, I know many people want to see the issue's creation time and updated time without hovering on the text "X

days ago".

#4 - 2019-06-04 15:29 - Yuuki NARA

+1

I agree to show the remaining days on the ticket details screen,

but I am concerned about the following points.

First of all, I think that this function is to make it easy to be aware of the number of days until the ticket due date.

I want to show only when the date is within a few days.

If it has been displayed for a month, it may be overlooked.

Since the request for the display form is different for each site and project,

It is good to be able to change the setting for each server / project.

As a simple solution, I propose to make it possible to set a reference number of days to start displaying the remaining number of days.

#5 - 2019-06-04 16:52 - Go MAEDA

- File show_due_in_x_days-v2.patch added

Yuuki NARA wrote:

As a simple solution, I propose to make it possible to set a reference number of days to start displaying the remaining number of days.

 I don't want to add a new setting if possible because it increases complexity.

Instead, I updated the patch not to show the remaining days if the start date is a future date. Probably this is enough for many users including you. I

think users should aware of the due date if the current date is over the start date.

#6 - 2019-06-05 02:50 - Go MAEDA

Yuuki NARA wrote:

I want to show only when the date is within a few days.

If it has been displayed for a month, it may be overlooked.

 I noticed that you think this feature as a warning that the due date is coming soon. But this is just information that supplements the date.

Since the request for the display form is different for each site and project,

It is good to be able to change the setting for each server / project.

 I understand it is useful when diverting the feature as a warning. But I would like to go with the first patch (show_due_in_x_days.patch) to keep thing

simple for now.

How about discussing adding the setting after this patch has been merged? Maybe the discussion takes a long time. I want to give priority to

improving Redmine as soon as we can.

#7 - 2019-06-05 12:34 - Yuuki NARA

Go MAEDA wrote:

How about discussing adding the setting after this patch has been merged?

Maybe the discussion takes a long time.

I want to give priority to improving Redmine as soon as we can.

 I agree.

It is not an operation that may confuse the user, so it is better to use it for many people and judge from the feedback.
It is important to move that cycle quickly.

#8 - 2019-06-07 11:42 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch.

#9 - 2020-03-10 08:12 - Go MAEDA

- Related to Feature #6421: Show relative dates next to Start/Due date in issue detail view added

#10 - 2020-04-20 04:21 - Greg T

Yuuki NARA wrote:

It is not an operation that may confuse the user

 Yes, it is confusing in Hungarian, where the shortsighted distance_of_time_in_words doesn't work (e.g. 2 nap múlva vs 2 napon belül vs 2 napja).

#11 - 2020-08-22 07:18 - Go MAEDA

- Related to Feature #33884: Show "Due in X days" in email notifications added

Files

due-in-x-days@2x.png 47.6 KB 2019-06-03 Go MAEDA

show_due_in_x_days.patch 2.22 KB 2019-06-03 Go MAEDA

show_due_in_x_days-v2.patch 2.83 KB 2019-06-04 Go MAEDA
